osg::NodeVisitor::DatabaseRequestHandler Class Referenceabstract

`#include <NodeVisitor>`

Inheritance diagram for osg::NodeVisitor::DatabaseRequestHandler:

## Public Member Functions

| DatabaseRequestHandler ()
virtual void | requestNodeFile (const std::string &fileName, osg::NodePath &nodePath, float priority, const FrameStamp *framestamp, osg::ref_ptr< osg::Referenced > &databaseRequest, const osg::Referenced *options=0)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~DatabaseRequestHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for managing database paging, such as generated by PagedLOD nodes.

## Constructor & Destructor Documentation

## DatabaseRequestHandler()

osg::NodeVisitor::DatabaseRequestHandler::DatabaseRequestHandler | ( |  | ) |

inline

References osg::Referenced::Referenced().

## ~DatabaseRequestHandler()

virtual osg::NodeVisitor::DatabaseRequestHandler::~DatabaseRequestHandler | ( |  | ) |

inline protected virtual

## Member Function Documentation

## requestNodeFile()

virtual void osg::NodeVisitor::DatabaseRequestHandler::requestNodeFile | ( | const std::string & | fileName,
|  | osg::NodePath & | nodePath,
|  | float | priority,
|  | const FrameStamp * | framestamp,
|  | osg::ref_ptr< osg::Referenced > & | databaseRequest,
|  | const osg::Referenced * | options = 0 )

pure virtual

Implemented in osgDB::DatabasePager.

The documentation for this class was generated from the following file:

- NodeVisitor